Subject: Re: [Cbe-oss-dev] [PATCH 11/13] cell: split out board specific files

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 04 May 2006 12:03:05 +1000

> Yeah, what was I thinking.  So use some platform hook instead.

You must be smoking good stuff :)

> But Arnd of course is right; if the driver (currently) only works
> on a certain platform, just mark it as such in the Makefile (erm,
> Kconfig file).

Exactly :) I don't see any point in adding hooks or ifdef's or anything
fancy like that to guard from something that doesn't exist in real life:
that is building that driver on non-cell :) Thus Kconfig is the way to
go.